%define upstream_name PBKDF2-Tiny
%define upstream_version 0.005

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7

Summary:	Minimalist PBKDF2 (RFC 2898) with HMAC-SHA1 or HMAC-SHA2
License:	ASL 2.0
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/PBKDF2/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch

%description
This module provides an RFC 2898 <https://tools.ietf.org/html/rfc2898>
compliant PBKDF2 implementation using HMAC-SHA1 or HMAC-SHA2 in under
100 lines of code. If you are using Perl 5.10 or later, it uses only
core Perl modules. If you are on an earlier version of Perl, you need
Digest::SHA or Digest::SHA::PurePerl.

All documented functions are optionally exported. No functions are
exported by default.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.5.0-7.mga10
+ Revision: 2200078
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.5.0-6.mga9
+ Revision: 1805055
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.5.0-5.mga8
+ Revision: 1496434
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.5.0-4.mga7
+ Revision: 1270487
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.5.0-3.mga6
+ Revision: 1031937
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.5.0-2.mga6
+ Revision: 966141
- Mageia 6 Mass Rebuild

* Wed Jun 24 2015 sander85 <sander85> 0.5.0-1.mga6
+ Revision: 842644
- imported package perl-PBKDF2-Tiny

